VLNA(1)

NAZEV
vlna - pridani vlnek za neslabicne predlozky v TeXu

POUZITI
vlna [volby] [soubory]

POPIS
Program vlna pridava vlnky (misto puvodnich mezer) za neslabicne predlozky ve vstupnich souborech pro TeX, coz zabrani zlomu radku v nezadoucich mistech.

Veskere aktivity programu je mozne vypnout sekvenci %~- a zapnout sekvenci %~+ (mezi uvedenymi znaky muze byt libovolne mnozstvi mezer).

Pred predlozkou se muze nachazet libovolne mnozstvi oteviracich zavorek, pred kterymi se musi nachazet mezera nebo zacatek radku. Pred oteviraci svorkou muze byt take misto mezery TeXova “\sekvence” (od verze 1.2). Napr. za “([{(V” na pocatku radku bude vlnka pridana. Stejne tak se text “\uv{V lese}” promeni na “\uv{V~lese}”.

Program kontroluje konzistenci matematickych prostredi (neni-li uveden parametr -m). Vstup do display rezimu ($$) uvnitr text rezimu ($) (napr. $...$$...$) znamena varovani a prechod do display. Podobne prazdny radek uvnitr text nebo display rezimu znamena vypis varovani a prechod do nematematickeho (standardniho) rezimu. Uvnitr rezimu display se ignoruji vyskyty samostatneho znaku $, jelikoz byva vetsinou soucasti konstrukce \hbox.

Program kontroluje konzistenci verbatim rezimu na konci souboru. Nebyl-li ukoncen, vypise se varovani. Kontrola se neprovadi, pokud je pouzita volba -n nebo -w.

Program nedoplnuje vlnky za samostatna pismena, ktera jako predlozky vypadaji, ale nasleduji bezprostredne za sekvencemi \TeX nebo \LaTeX. Napr. do textu “Vlastnosti \TeX u jsou” nebude zadna vlnka doplnena.

VOLBY
Volby jsou nepovinne a mohou byt uvedeny v libovolnem poradi, ale nemohou byt spojovany.

-f  Filtr. Jmena souboru jsou interpretovana takto:

    vlna -f soubor1 soubor2
        Vstup je soubor1, vystup soubor2.

    vlna -f soubor1
        Vstup je soubor1, vystup stdout.

    vlna -f
        Vstup je stdin, vystup stdout.

    vlna soubor1 [soubor2 [soubor3 ...]]
        Neni-li uveden parametr -f, kazdy soubor je zpracovavan samostatne.

-s  Tichy rezim. Program potlaci vypis uvodni zpravy, varovnych zprav a statistik o zmenach v souborech (bez uvedeni parametru jsou zpravy vypisovany na stderr). V tichem rezimu se vypise jen chyba, ktera predcasne ukonci cinnost programu.

-r  Nevytvaret (mazat) zalohy. Parametr -r nema vliv, pokud je uveden spolu s -f. V opacnem pripade se ke kazdemu souboru vytvari zaloha s vlnkou na konci jmena a parametr -r zpusobi, ze na konci zpracovani jsou tyto zalohy mazany.

-v znaky
    Znaky povazovane za neslabicne predlozky, za ktere ma byt pridavana vlnka. Implicitni hodnota je -v KkSsVvZzOoUuAI. (Mezi -v a skupinou znaku musi byt mezera.)

-m  Ignorovani prechodu do matematickych prostredi ($...$ a $$...$$). Parametr -m zpusobi vlnkovani i v matematickych prostredich, ktera se implicitne vynechavaji.

-n  Ignorovani verbatim rezimu (\verb<znak>...<znak>, \begtt...\endtt). Parametr -n zpusobi vlnkovani i ve verbatim rezimu, ktery se implicitne vynechava.

-l  LaTeX. Pro rozpoznani matematickeho rezimu jsou pridana prostredi \begin{display}...\end{display} a \begin{equation}...\end{equation}. Pro rozpoznani verbatim rezimu je pridano LaTeXove prostredi \begin{verbatim}...\end{verbatim}.

-w  Web. Pro rozpoznani verbatim rezimu jsou pridany sekvence @<, @d...@*, @mezera nebo @>|. Ve zdrojovem kodu se tedy nevlnkuje program, ale jen komentare.

PRIKLADY

vlna -m -n -s -r soubor
    Volani priblizne odpovida volani puvodniho programu vlna. (Navic se neprovadi vlnkovani za sekvencemi \TeX a \LaTeX.)

vlna *.tex
    Vlnkovani vsech souboru s priponou tex. (Pouze na UNIXu.)

vlna -f soubor > /dev/null
    Test konzistence matematickeho a verbatim rezimu bez provedeni zmen. (Pouze na UNIXu.)

SOUBORY
@BINDIR@/vlna
    spustitelny program
@MANDIR@/vlna.@MANEXT@
    manualova stranka

AUTOR
Petr Olsak <olsak@math.feld.cvut.cz>. Manualovou stranku a Makefile vytvoril Rulolf Cejka